%define oname   little-plugger

Name:       ruby-%{oname}
Version:    1.1.4
Release:    %mkrel 5
Summary:    LittlePlugger is a module that provides Gem based plugin management
License:    MIT
Group:      Development/Ruby
URL:        http://gemcutter.org/gems/little-plugger
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
LittlePlugger is a module that provides Gem based plugin management.
By extending your own class or module with LittlePlugger you can easily
manage the loading and initializing of plugins provided by other gems.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc History.txt
%doc README.rdoc



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.4-5.mga10
+ Revision: 2210994
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 1.1.4-4.mga9
+ Revision: 1826013
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.4-3.mga8
+ Revision: 1499822
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.4-2.mga7
+ Revision: 1275146
- Mageia 7 Mass Rebuild

* Sun May 08 2016 pterjan <pterjan> 1.1.4-1.mga6
+ Revision: 1011042
- imported package ruby-little-plugger

